/*!
 *  @preserve
 *
 * ++++++++++++++++++++++++++++++++++++++
 * Add to Calendar TimeZones iCal Library
 * ++++++++++++++++++++++++++++++++++++++
 *
 * Version: 1.9.1
 * Creator: Jens Kuerschner (https://jenskuerschner.de)
 * Project: https://github.com/add2cal/timezones-ical-library
 * License: Apache-2.0
 *
 */
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const tzlibVersion = '1.9.1';
const tzlibZonesDB = {"Zulu":["Etc/UTC",0],"WET":["Europe/Lisbon",1],"W-SU":["Europe/Moscow",2],"Universal":["Etc/UTC",0],"UTC":["Etc/UTC",0],"UCT":["Etc/UTC",0],"Turkey":["Europe/Istanbul",3],"Singapore":["Asia/Singapore",4],"ROK":["Asia/Seoul",5],"ROC":["Asia/Taipei",6],"Portugal":["Europe/Lisbon",1],"Poland":["Europe/Warsaw",7],"PST8PDT":["America/Los_Angeles",8],"PRC":["Asia/Shanghai",9],"Navajo":["America/Denver",10],"NZ":["Pacific/Auckland",11],"NZ-CHAT":["Pacific/Chatham",12],"MST7MDT":["America/Denver",10],"MST":["America/Phoenix",13],"MET":["Europe/Brussels",14],"Libya":["Africa/Tripoli",15],"Kwajalein":["Pacific/Kwajalein",16],"Japan":["Asia/Tokyo",17],"Jamaica":["America/Jamaica",18],"Israel":["Asia/Jerusalem",19],"Iran":["Asia/Tehran",20],"Iceland":["Africa/Abidjan",21],"Hongkong":["Asia/Hong_Kong",22],"HST":["Pacific/Honolulu",23],"Greenwich":["Etc/GMT",24],"GMT0":["Etc/GMT",24],"GMT":["Etc/GMT",24],"GMT-0":["Etc/GMT",24],"GMT+0":["Etc/GMT",24],"GB":["Europe/London",25],"GB-Eire":["Europe/London",25],"Eire":["Europe/Dublin",26],"Egypt":["Africa/Cairo",27],"EST5EDT":["America/New_York",28],"EST":["America/Panama",29],"EET":["Europe/Athens",30],"Cuba":["America/Havana",31],"CST6CDT":["America/Chicago",32],"CET":["Europe/Brussels",14],"US":{"Samoa":["Pacific/Pago_Pago",33],"Pacific":["America/Los_Angeles",8],"Mountain":["America/Denver",10],"Michigan":["America/Detroit",34],"Indiana-Starke":["America/Indiana/Knox",35],"Hawaii":["Pacific/Honolulu",23],"Eastern":["America/New_York",28],"East-Indiana":["America/Indiana/Indianapolis",36],"Central":["America/Chicago",32],"Arizona":["America/Phoenix",13],"Aleutian":["America/Adak",37],"Alaska":["America/Anchorage",38]},"Pacific":{"Yap":["Pacific/Port_Moresby",39],"Wallis":["Pacific/Tarawa",40],"Wake":["Pacific/Tarawa",40],"Truk":["Pacific/Port_Moresby",39],"Tongatapu":["",41],"Tarawa":["",40],"Tahiti":["",42],"Samoa":["Pacific/Pago_Pago",33],"Saipan":["Pacific/Guam",43],"Rarotonga":["",44],"Port_Moresby":["",39],"Ponape":["Pacific/Guadalcanal",45],"Pohnpei":["Pacific/Guadalcanal",45],"Pitcairn":["",46],"Palau":["",47],"Pago_Pago":["",33],"Noumea":["",48],"Norfolk":["",49],"Niue":["",50],"Nauru":["",51],"Midway":["Pacific/Pago_Pago",33],"Marquesas":["",52],"Majuro":["Pacific/Tarawa",40],"Kwajalein":["",16],"Kosrae":["",53],"Kiritimati":["",54],"Kanton":["",55],"Johnston":["Pacific/Honolulu",23],"Honolulu":["",23],"Guam":["",43],"Guadalcanal":["",45],"Gambier":["",56],"Galapagos":["",57],"Funafuti":["Pacific/Tarawa",40],"Fiji":["",58],"Fakaofo":["",59],"Enderbury":["Pacific/Kanton",55],"Efate":["",60],"Easter":["",61],"Chuuk":["Pacific/Port_Moresby",39],"Chatham":["",12],"Bougainville":["",62],"Auckland":["",11],"Apia":["",63]},"Mexico":{"General":["America/Mexico_City",64],"BajaSur":["America/Mazatlan",65],"BajaNorte":["America/Tijuana",66]},"Indian":{"Reunion":["Asia/Dubai",67],"Mayotte":["Africa/Nairobi",68],"Mauritius":["",69],"Maldives":["",70],"Mahe":["Asia/Dubai",67],"Kerguelen":["Indian/Maldives",70],"Comoro":["Africa/Nairobi",68],"Cocos":["Asia/Yangon",71],"Christmas":["Asia/Bangkok",72],"Chagos":["",73],"Antananarivo":["Africa/Nairobi",68]},"Europe":{"Zurich":["",74],"Zaporozhye":["Europe/Kyiv",75],"Zagreb":["Europe/Belgrade",76],"Warsaw":["",7],"Volgograd":["",77],"Vilnius":["",78],"Vienna":["",79],"Vatican":["Europe/Rome",80],"Vaduz":["Europe/Zurich",74],"Uzhgorod":["Europe/Kyiv",75],"Ulyanovsk":["",81],"Tiraspol":["Europe/Chisinau",82],"Tirane":["",83],"Tallinn":["",84],"Stockholm":["Europe/Berlin",85],"Sofia":["",86],"Skopje":["Europe/Belgrade",76],"Simferopol":["",87],"Saratov":["",88],"Sarajevo":["Europe/Belgrade",76],"San_Marino":["Europe/Rome",80],"Samara":["",89],"Rome":["",80],"Riga":["",90],"Prague":["",91],"Podgorica":["Europe/Belgrade",76],"Paris":["",92],"Oslo":["Europe/Berlin",85],"Nicosia":["Asia/Nicosia",93],"Moscow":["",2],"Monaco":["Europe/Paris",92],"Minsk":["",94],"Mariehamn":["Europe/Helsinki",95],"Malta":["",96],"Madrid":["",97],"Luxembourg":["Europe/Brussels",14],"London":["",25],"Ljubljana":["Europe/Belgrade",76],"Lisbon":["",1],"Kyiv":["",75],"Kirov":["",98],"Kiev":["Europe/Kyiv",75],"Kaliningrad":["",99],"Jersey":["Europe/London",25],"Istanbul":["",3],"Isle_of_Man":["Europe/London",25],"Helsinki":["",95],"Guernsey":["Europe/London",25],"Gibraltar":["",100],"Dublin":["",26],"Copenhagen":["Europe/Berlin",85],"Chisinau":["",82],"Busingen":["Europe/Zurich",74],"Budapest":["",101],"Bucharest":["",102],"Brussels":["",14],"Bratislava":["Europe/Prague",91],"Berlin":["",85],"Belgrade":["",76],"Belfast":["Europe/London",25],"Athens":["",30],"Astrakhan":["",103],"Andorra":["",104],"Amsterdam":["Europe/Brussels",14]},"Etc":{"Zulu":["Etc/UTC",0],"Universal":["Etc/UTC",0],"UTC":["",0],"UCT":["Etc/UTC",0],"Greenwich":["Etc/GMT",24],"GMT0":["Etc/GMT",24],"GMT":["",24],"GMT-9":["",105],"GMT-8":["",106],"GMT-7":["",107],"GMT-6":["",108],"GMT-5":["",109],"GMT-4":["",110],"GMT-3":["",111],"GMT-2":["",112],"GMT-14":["",113],"GMT-13":["",114],"GMT-12":["",115],"GMT-11":["",116],"GMT-10":["",117],"GMT-1":["",118],"GMT-0":["Etc/GMT",24],"GMT+9":["",119],"GMT+8":["",120],"GMT+7":["",121],"GMT+6":["",122],"GMT+5":["",123],"GMT+4":["",124],"GMT+3":["",125],"GMT+2":["",126],"GMT+12":["",127],"GMT+11":["",128],"GMT+10":["",129],"GMT+1":["",130],"GMT+0":["Etc/GMT",24]},"Chile":{"EasterIsland":["Pacific/Easter",61],"Continental":["America/Santiago",131]},"Canada":{"Yukon":["America/Whitehorse",132],"Saskatchewan":["America/Regina",133],"Pacific":["America/Vancouver",134],"Newfoundland":["America/St_Johns",135],"Mountain":["America/Edmonton",136],"Eastern":["America/Toronto",137],"Central":["America/Winnipeg",138],"Atlantic":["America/Halifax",139]},"Brazil":{"West":["America/Manaus",140],"East":["America/Sao_Paulo",141],"DeNoronha":["America/Noronha",142],"Acre":["America/Rio_Branco",143]},"Australia":{"Yancowinna":["Australia/Broken_Hill",144],"West":["Australia/Perth",145],"Victoria":["Australia/Melbourne",146],"Tasmania":["Australia/Hobart",147],"Sydney":["",148],"South":["Australia/Adelaide",149],"Queensland":["Australia/Brisbane",150],"Perth":["",145],"North":["Australia/Darwin",151],"NSW":["Australia/Sydney",148],"Melbourne":["",146],"Lord_Howe":["",152],"Lindeman":["",153],"LHI":["Australia/Lord_Howe",152],"Hobart":["",147],"Eucla":["",154],"Darwin":["",151],"Currie":["Australia/Hobart",147],"Canberra":["Australia/Sydney",148],"Broken_Hill":["",144],"Brisbane":["",150],"Adelaide":["",149],"ACT":["Australia/Sydney",148]},"Atlantic":{"Stanley":["",155],"St_Helena":["Africa/Abidjan",21],"South_Georgia":["",156],"Reykjavik":["Africa/Abidjan",21],"Madeira":["",157],"Jan_Mayen":["Europe/Berlin",85],"Faroe":["",158],"Faeroe":["Atlantic/Faroe",158],"Cape_Verde":["",159],"Canary":["",160],"Bermuda":["",161],"Azores":["",162]},"Asia":{"Yerevan":["",163],"Yekaterinburg":["",164],"Yangon":["",71],"Yakutsk":["",165],"Vladivostok":["",166],"Vientiane":["Asia/Bangkok",72],"Ust-Nera":["",167],"Urumqi":["",168],"Ulan_Bator":["Asia/Ulaanbaatar",169],"Ulaanbaatar":["",169],"Ujung_Pandang":["Asia/Makassar",170],"Tomsk":["",171],"Tokyo":["",17],"Thimphu":["",172],"Thimbu":["Asia/Thimphu",172],"Tel_Aviv":["Asia/Jerusalem",19],"Tehran":["",20],"Tbilisi":["",173],"Tashkent":["",174],"Taipei":["",6],"Srednekolymsk":["",175],"Singapore":["",4],"Shanghai":["",9],"Seoul":["",5],"Samarkand":["",176],"Sakhalin":["",177],"Saigon":["Asia/Ho_Chi_Minh",178],"Riyadh":["",179],"Rangoon":["Asia/Yangon",71],"Qyzylorda":["",180],"Qostanay":["",181],"Qatar":["",182],"Pyongyang":["",183],"Pontianak":["",184],"Phnom_Penh":["Asia/Bangkok",72],"Oral":["",185],"Omsk":["",186],"Novosibirsk":["",187],"Novokuznetsk":["",188],"Nicosia":["",93],"Muscat":["Asia/Dubai",67],"Manila":["",189],"Makassar":["",170],"Magadan":["",190],"Macau":["",191],"Macao":["Asia/Macau",191],"Kuwait":["Asia/Riyadh",179],"Kuching":["",192],"Kuala_Lumpur":["Asia/Singapore",4],"Krasnoyarsk":["",193],"Kolkata":["",194],"Khandyga":["",195],"Katmandu":["Asia/Kathmandu",196],"Kathmandu":["",196],"Kashgar":["Asia/Urumqi",168],"Karachi":["",197],"Kamchatka":["",198],"Kabul":["",199],"Jerusalem":["",19],"Jayapura":["",200],"Jakarta":["",201],"Istanbul":["Europe/Istanbul",3],"Irkutsk":["",202],"Hovd":["",203],"Hong_Kong":["",22],"Ho_Chi_Minh":["",178],"Hebron":["",204],"Harbin":["Asia/Shanghai",9],"Gaza":["",205],"Famagusta":["",206],"Dushanbe":["",207],"Dubai":["",67],"Dili":["",208],"Dhaka":["",209],"Damascus":["",210],"Dacca":["Asia/Dhaka",209],"Colombo":["",211],"Chungking":["Asia/Shanghai",9],"Chongqing":["Asia/Shanghai",9],"Choibalsan":["Asia/Ulaanbaatar",169],"Chita":["",212],"Calcutta":["Asia/Kolkata",194],"Brunei":["Asia/Kuching",192],"Bishkek":["",213],"Beirut":["",214],"Barnaul":["",215],"Bangkok":["",72],"Baku":["",216],"Bahrain":["Asia/Qatar",182],"Baghdad":["",217],"Atyrau":["",218],"Ashkhabad":["Asia/Ashgabat",219],"Ashgabat":["",219],"Aqtobe":["",220],"Aqtau":["",221],"Anadyr":["",222],"Amman":["",223],"Almaty":["",224],"Aden":["Asia/Riyadh",179]},"Arctic":{"Longyearbyen":["Europe/Berlin",85]},"Antarctica":{"Vostok":["",225],"Troll":["",226],"Syowa":["Asia/Riyadh",179],"South_Pole":["Pacific/Auckland",11],"Rothera":["",227],"Palmer":["",228],"McMurdo":["Pacific/Auckland",11],"Mawson":["",229],"Macquarie":["",230],"DumontDUrville":["Pacific/Port_Moresby",39],"Davis":["",231],"Casey":["",232]},"America":{"Yellowknife":["America/Edmonton",136],"Yakutat":["",233],"Winnipeg":["",138],"Whitehorse":["",132],"Virgin":["America/Puerto_Rico",234],"Vancouver":["",134],"Tortola":["America/Puerto_Rico",234],"Toronto":["",137],"Tijuana":["",66],"Thunder_Bay":["America/Toronto",137],"Thule":["",235],"Tegucigalpa":["",236],"Swift_Current":["",237],"St_Vincent":["America/Puerto_Rico",234],"St_Thomas":["America/Puerto_Rico",234],"St_Lucia":["America/Puerto_Rico",234],"St_Kitts":["America/Puerto_Rico",234],"St_Johns":["",135],"St_Barthelemy":["America/Puerto_Rico",234],"Sitka":["",238],"Shiprock":["America/Denver",10],"Scoresbysund":["",239],"Sao_Paulo":["",141],"Santo_Domingo":["",240],"Santiago":["",131],"Santarem":["",241],"Santa_Isabel":["America/Tijuana",66],"Rosario":["America/Argentina/Cordoba",242],"Rio_Branco":["",143],"Resolute":["",243],"Regina":["",133],"Recife":["",244],"Rankin_Inlet":["",245],"Rainy_River":["America/Winnipeg",138],"Punta_Arenas":["",246],"Puerto_Rico":["",234],"Porto_Velho":["",247],"Porto_Acre":["America/Rio_Branco",143],"Port_of_Spain":["America/Puerto_Rico",234],"Port-au-Prince":["",248],"Phoenix":["",13],"Paramaribo":["",249],"Pangnirtung":["America/Iqaluit",250],"Panama":["",29],"Ojinaga":["",251],"Nuuk":["",252],"Noronha":["",142],"Nome":["",253],"Nipigon":["America/Toronto",137],"New_York":["",28],"Nassau":["America/Toronto",137],"Montserrat":["America/Puerto_Rico",234],"Montreal":["America/Toronto",137],"Montevideo":["",254],"Monterrey":["",255],"Moncton":["",256],"Miquelon":["",257],"Mexico_City":["",64],"Metlakatla":["",258],"Merida":["",259],"Menominee":["",260],"Mendoza":["America/Argentina/Mendoza",261],"Mazatlan":["",65],"Matamoros":["",262],"Martinique":["",263],"Marigot":["America/Puerto_Rico",234],"Manaus":["",140],"Managua":["",264],"Maceio":["",265],"Lower_Princes":["America/Puerto_Rico",234],"Louisville":["America/Kentucky/Louisville",266],"Los_Angeles":["",8],"Lima":["",267],"La_Paz":["",268],"Kralendijk":["America/Puerto_Rico",234],"Knox_IN":["America/Indiana/Knox",35],"Juneau":["",269],"Jujuy":["America/Argentina/Jujuy",270],"Jamaica":["",18],"Iqaluit":["",250],"Inuvik":["",271],"Indianapolis":["America/Indiana/Indianapolis",36],"Hermosillo":["",272],"Havana":["",31],"Halifax":["",139],"Guyana":["",273],"Guayaquil":["",274],"Guatemala":["",275],"Guadeloupe":["America/Puerto_Rico",234],"Grenada":["America/Puerto_Rico",234],"Grand_Turk":["",276],"Goose_Bay":["",277],"Godthab":["America/Nuuk",252],"Glace_Bay":["",278],"Fortaleza":["",279],"Fort_Wayne":["America/Indiana/Indianapolis",36],"Fort_Nelson":["",280],"Ensenada":["America/Tijuana",66],"El_Salvador":["",281],"Eirunepe":["",282],"Edmonton":["",136],"Dominica":["America/Puerto_Rico",234],"Detroit":["",34],"Denver":["",10],"Dawson_Creek":["",283],"Dawson":["",284],"Danmarkshavn":["",285],"Curacao":["America/Puerto_Rico",234],"Cuiaba":["",286],"Creston":["America/Phoenix",13],"Costa_Rica":["",287],"Cordoba":["America/Argentina/Cordoba",242],"Coral_Harbour":["America/Panama",29],"Ciudad_Juarez":["",288],"Chihuahua":["",289],"Chicago":["",32],"Cayman":["America/Panama",29],"Cayenne":["",290],"Catamarca":["America/Argentina/Catamarca",291],"Caracas":["",292],"Cancun":["",293],"Campo_Grande":["",294],"Cambridge_Bay":["",295],"Buenos_Aires":["America/Argentina/Buenos_Aires",296],"Boise":["",297],"Bogota":["",298],"Boa_Vista":["",299],"Blanc-Sablon":["America/Puerto_Rico",234],"Belize":["",300],"Belem":["",301],"Barbados":["",302],"Bahia_Banderas":["",303],"Bahia":["",304],"Atka":["America/Adak",37],"Atikokan":["America/Panama",29],"Asuncion":["",305],"Aruba":["America/Puerto_Rico",234],"Araguaina":["",306],"Antigua":["America/Puerto_Rico",234],"Anguilla":["America/Puerto_Rico",234],"Anchorage":["",38],"Adak":["",37],"North_Dakota":{"New_Salem":["",307],"Center":["",308],"Beulah":["",309]},"Kentucky":{"Monticello":["",310],"Louisville":["",266]},"Indiana":{"Winamac":["",311],"Vincennes":["",312],"Vevay":["",313],"Tell_City":["",314],"Petersburg":["",315],"Marengo":["",316],"Knox":["",35],"Indianapolis":["",36]},"Argentina":{"Ushuaia":["",317],"Tucuman":["",318],"San_Luis":["",319],"San_Juan":["",320],"Salta":["",321],"Rio_Gallegos":["",322],"Mendoza":["",261],"La_Rioja":["",323],"Jujuy":["",270],"Cordoba":["",242],"ComodRivadavia":["America/Argentina/Catamarca",291],"Catamarca":["",291],"Buenos_Aires":["",296]}},"Africa":{"Windhoek":["",324],"Tunis":["",325],"Tripoli":["",15],"Timbuktu":["Africa/Abidjan",21],"Sao_Tome":["",326],"Porto-Novo":["Africa/Lagos",327],"Ouagadougou":["Africa/Abidjan",21],"Nouakchott":["Africa/Abidjan",21],"Niamey":["Africa/Lagos",327],"Ndjamena":["",328],"Nairobi":["",68],"Monrovia":["",329],"Mogadishu":["Africa/Nairobi",68],"Mbabane":["Africa/Johannesburg",330],"Maseru":["Africa/Johannesburg",330],"Maputo":["",331],"Malabo":["Africa/Lagos",327],"Lusaka":["Africa/Maputo",331],"Lubumbashi":["Africa/Maputo",331],"Luanda":["Africa/Lagos",327],"Lome":["Africa/Abidjan",21],"Libreville":["Africa/Lagos",327],"Lagos":["",327],"Kinshasa":["Africa/Lagos",327],"Kigali":["Africa/Maputo",331],"Khartoum":["",332],"Kampala":["Africa/Nairobi",68],"Juba":["",333],"Johannesburg":["",330],"Harare":["Africa/Maputo",331],"Gaborone":["Africa/Maputo",331],"Freetown":["Africa/Abidjan",21],"El_Aaiun":["",334],"Douala":["Africa/Lagos",327],"Djibouti":["Africa/Nairobi",68],"Dar_es_Salaam":["Africa/Nairobi",68],"Dakar":["Africa/Abidjan",21],"Conakry":["Africa/Abidjan",21],"Ceuta":["",335],"Casablanca":["",336],"Cairo":["",27],"Bujumbura":["Africa/Maputo",331],"Brazzaville":["Africa/Lagos",327],"Blantyre":["Africa/Maputo",331],"Bissau":["",337],"Banjul":["Africa/Abidjan",21],"Bangui":["Africa/Lagos",327],"Bamako":["Africa/Abidjan",21],"Asmera":["Africa/Nairobi",68],"Asmara":["Africa/Nairobi",68],"Algiers":["",338],"Addis_Ababa":["Africa/Nairobi",68],"Accra":["Africa/Abidjan",21],"Abidjan":["",21]}};
const tzlibZonesDetailsDB = ["20250101T220159Z<n>X-LIC-LOCATION:Etc/UTC<n><bs><n><tz>UTC<n><of>+0000<n><ot>+0000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Lisbon<n><bs><n><tz>WET<n><of>+0100<n><ot>+0000<n><s>19701025T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n><bd><n><tz>WEST<n><of>+0000<n><ot>+0100<n><s>19700329T010000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Moscow<n><bs><n><tz>MSK<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Istanbul<n><bs><n><tz>%z<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Singapore<n><bs><n><tz>%z<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Seoul<n><bs><n><tz>KST<n><of>+0900<n><ot>+0900<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Taipei<n><bs><n><tz>CST<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Warsaw<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Los_Angeles<n><bd><n><tz>PDT<n><of>-0800<n><ot>-0700<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>PST<n><of>-0700<n><ot>-0800<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Shanghai<n><bs><n><tz>CST<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Denver<n><bd><n><tz>MDT<n><of>-0700<n><ot>-0600<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>MST<n><of>-0600<n><ot>-0700<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Auckland<n><bd><n><tz>NZDT<n><of>+1200<n><ot>+1300<n><s>19700927T020000<n><r>FREQ=YEARLY;BYMONTH=9;BYDAY=-1SU<n><ed><n><bs><n><tz>NZST<n><of>+1300<n><ot>+1200<n><s>19700405T030000<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Chatham<n><bd><n><tz>%z<n><of>+1245<n><ot>+1345<n><s>19700927T024500<n><r>FREQ=YEARLY;BYMONTH=9;BYDAY=-1SU<n><ed><n><bs><n><tz>%z<n><of>+1345<n><ot>+1245<n><s>19700405T034500<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Phoenix<n><bs><n><tz>MST<n><of>-0700<n><ot>-0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Brussels<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Tripoli<n><bs><n><tz>EET<n><of>+0200<n><ot>+0200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Kwajalein<n><bs><n><tz>%z<n><of>+1200<n><ot>+1200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Tokyo<n><bs><n><tz>JST<n><of>+0900<n><ot>+0900<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Jamaica<n><bs><n><tz>EST<n><of>-0500<n><ot>-0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Jerusalem<n><bd><n><tz>IDT<n><of>+0200<n><ot>+0300<n><s>19700327T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1FR<n><ed><n><bs><n><tz>IST<n><of>+0300<n><ot>+0200<n><s>19701025T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Tehran<n><bs><n><tz>%z<n><of>+0330<n><ot>+0330<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Abidjan<n><bs><n><tz>GMT<n><of>+0000<n><ot>+0000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Hong_Kong<n><bs><n><tz>HKT<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Honolulu<n><bs><n><tz>HST<n><of>-1000<n><ot>-1000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT<n><bs><n><tz>GMT<n><of>+0000<n><ot>+0000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/London<n><bd><n><tz>BST<n><of>+0000<n><ot>+0100<n><s>19700329T010000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>GMT<n><of>+0100<n><ot>+0000<n><s>19701025T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Dublin<n><bs><n><tz>IST<n><of>+0000<n><ot>+0100<n><s>19700329T010000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><es><n><bd><n><tz>GMT<n><of>+0100<n><ot>+0000<n><s>19701025T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Cairo<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700424T000000<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=-1FR<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701030T000000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1FR<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/New_York<n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Panama<n><bs><n><tz>EST<n><of>-0500<n><ot>-0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Athens<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700329T030000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701025T040000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Havana<n><bs><n><tz>CST<n><of>-0400<n><ot>-0500<n><s>19701101T010000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n><bd><n><tz>CDT<n><of>-0500<n><ot>-0400<n><s>19700308T000000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Chicago<n><bd><n><tz>CDT<n><of>-0600<n><ot>-0500<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>CST<n><of>-0500<n><ot>-0600<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Pago_Pago<n><bs><n><tz>SST<n><of>-1100<n><ot>-1100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Detroit<n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Indiana/Knox<n><bd><n><tz>CDT<n><of>-0600<n><ot>-0500<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>CST<n><of>-0500<n><ot>-0600<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Indiana/Indianapolis<n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Adak<n><bd><n><tz>HDT<n><of>-1000<n><ot>-0900<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>HST<n><of>-0900<n><ot>-1000<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Anchorage<n><bd><n><tz>AKDT<n><of>-0900<n><ot>-0800<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>AKST<n><of>-0800<n><ot>-0900<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Port_Moresby<n><bs><n><tz>%z<n><of>+1000<n><ot>+1000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Tarawa<n><bs><n><tz>%z<n><of>+1200<n><ot>+1200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Tongatapu<n><bs><n><tz>%z<n><of>+1300<n><ot>+1300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Tahiti<n><bs><n><tz>%z<n><of>-1000<n><ot>-1000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Guam<n><bs><n><tz>ChST<n><of>+1000<n><ot>+1000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Rarotonga<n><bs><n><tz>%z<n><of>-1000<n><ot>-1000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Guadalcanal<n><bs><n><tz>%z<n><of>+1100<n><ot>+1100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Pitcairn<n><bs><n><tz>%z<n><of>-0800<n><ot>-0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Palau<n><bs><n><tz>%z<n><of>+0900<n><ot>+0900<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Noumea<n><bs><n><tz>%z<n><of>+1100<n><ot>+1100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Norfolk<n><bd><n><tz>%z<n><of>+1100<n><ot>+1200<n><s>19701004T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=1SU<n><ed><n><bs><n><tz>%z<n><of>+1200<n><ot>+1100<n><s>19700405T030000<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Niue<n><bs><n><tz>%z<n><of>-1100<n><ot>-1100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Nauru<n><bs><n><tz>%z<n><of>+1200<n><ot>+1200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Marquesas<n><bs><n><tz>%z<n><of>-0930<n><ot>-0930<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Kosrae<n><bs><n><tz>%z<n><of>+1100<n><ot>+1100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Kiritimati<n><bs><n><tz>%z<n><of>+1400<n><ot>+1400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Kanton<n><bs><n><tz>%z<n><of>+1300<n><ot>+1300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Gambier<n><bs><n><tz>%z<n><of>-0900<n><ot>-0900<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Galapagos<n><bs><n><tz>%z<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Fiji<n><bs><n><tz>%z<n><of>+1200<n><ot>+1200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Fakaofo<n><bs><n><tz>%z<n><of>+1300<n><ot>+1300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Efate<n><bs><n><tz>%z<n><of>+1100<n><ot>+1100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Easter<n><bs><n><tz>%z<n><of>-0500<n><ot>-0600<n><s>19700404T220000<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=1SA<n><es><n><bd><n><tz>%z<n><of>-0600<n><ot>-0500<n><s>19700905T220000<n><r>FREQ=YEARLY;BYMONTH=9;BYDAY=1SA<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Bougainville<n><bs><n><tz>%z<n><of>+1100<n><ot>+1100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Pacific/Apia<n><bs><n><tz>%z<n><of>+1300<n><ot>+1300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Mexico_City<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Mazatlan<n><bs><n><tz>MST<n><of>-0700<n><ot>-0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Tijuana<n><bd><n><tz>PDT<n><of>-0800<n><ot>-0700<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>PST<n><of>-0700<n><ot>-0800<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Dubai<n><bs><n><tz>%z<n><of>+0400<n><ot>+0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Nairobi<n><bs><n><tz>EAT<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Indian/Mauritius<n><bs><n><tz>%z<n><of>+0400<n><ot>+0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Indian/Maldives<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Yangon<n><bs><n><tz>%z<n><of>+0630<n><ot>+0630<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Bangkok<n><bs><n><tz>%z<n><of>+0700<n><ot>+0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Indian/Chagos<n><bs><n><tz>%z<n><of>+0600<n><ot>+0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Zurich<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Kyiv<n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701025T040000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700329T030000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Belgrade<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Volgograd<n><bs><n><tz>MSK<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Vilnius<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700329T030000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701025T040000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Vienna<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Rome<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Ulyanovsk<n><bs><n><tz>%z<n><of>+0400<n><ot>+0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Chisinau<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Tirane<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Tallinn<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700329T030000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701025T040000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Berlin<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Sofia<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700329T030000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701025T040000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Simferopol<n><bs><n><tz>MSK<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Saratov<n><bs><n><tz>%z<n><of>+0400<n><ot>+0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Samara<n><bs><n><tz>%z<n><of>+0400<n><ot>+0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Riga<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700329T030000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701025T040000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Prague<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Paris<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Nicosia<n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701025T040000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700329T030000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Minsk<n><bs><n><tz>%z<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Helsinki<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700329T030000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701025T040000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Malta<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Madrid<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Kirov<n><bs><n><tz>MSK<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Kaliningrad<n><bs><n><tz>EET<n><of>+0200<n><ot>+0200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Gibraltar<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Budapest<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Bucharest<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700329T030000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701025T040000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Astrakhan<n><bs><n><tz>%z<n><of>+0400<n><ot>+0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Europe/Andorra<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-9<n><bs><n><tz>%z<n><of>+0900<n><ot>+0900<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-8<n><bs><n><tz>%z<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-7<n><bs><n><tz>%z<n><of>+0700<n><ot>+0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-6<n><bs><n><tz>%z<n><of>+0600<n><ot>+0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-5<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-4<n><bs><n><tz>%z<n><of>+0400<n><ot>+0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-3<n><bs><n><tz>%z<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-2<n><bs><n><tz>%z<n><of>+0200<n><ot>+0200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-14<n><bs><n><tz>%z<n><of>+1400<n><ot>+1400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-13<n><bs><n><tz>%z<n><of>+1300<n><ot>+1300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-12<n><bs><n><tz>%z<n><of>+1200<n><ot>+1200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-11<n><bs><n><tz>%z<n><of>+1100<n><ot>+1100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-10<n><bs><n><tz>%z<n><of>+1000<n><ot>+1000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT-1<n><bs><n><tz>%z<n><of>+0100<n><ot>+0100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT+9<n><bs><n><tz>%z<n><of>-0900<n><ot>-0900<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT+8<n><bs><n><tz>%z<n><of>-0800<n><ot>-0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT+7<n><bs><n><tz>%z<n><of>-0700<n><ot>-0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT+6<n><bs><n><tz>%z<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT+5<n><bs><n><tz>%z<n><of>-0500<n><ot>-0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT+4<n><bs><n><tz>%z<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT+3<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT+2<n><bs><n><tz>%z<n><of>-0200<n><ot>-0200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT+12<n><bs><n><tz>%z<n><of>-1200<n><ot>-1200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT+11<n><bs><n><tz>%z<n><of>-1100<n><ot>-1100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT+10<n><bs><n><tz>%z<n><of>-1000<n><ot>-1000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Etc/GMT+1<n><bs><n><tz>%z<n><of>-0100<n><ot>-0100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Santiago<n><bs><n><tz>%z<n><of>-0300<n><ot>-0400<n><s>19700405T000000<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=1SU<n><es><n><bd><n><tz>%z<n><of>-0400<n><ot>-0300<n><s>19700906T000000<n><r>FREQ=YEARLY;BYMONTH=9;BYDAY=1SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Whitehorse<n><bs><n><tz>MST<n><of>-0700<n><ot>-0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Regina<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Vancouver<n><bd><n><tz>PDT<n><of>-0800<n><ot>-0700<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>PST<n><of>-0700<n><ot>-0800<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/St_Johns<n><bs><n><tz>NST<n><of>-0230<n><ot>-0330<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n><bd><n><tz>NDT<n><of>-0330<n><ot>-0230<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Edmonton<n><bd><n><tz>MDT<n><of>-0700<n><ot>-0600<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>MST<n><of>-0600<n><ot>-0700<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Toronto<n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Winnipeg<n><bd><n><tz>CDT<n><of>-0600<n><ot>-0500<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>CST<n><of>-0500<n><ot>-0600<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Halifax<n><bd><n><tz>ADT<n><of>-0400<n><ot>-0300<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>AST<n><of>-0300<n><ot>-0400<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Manaus<n><bs><n><tz>%z<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Sao_Paulo<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Noronha<n><bs><n><tz>%z<n><of>-0200<n><ot>-0200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Rio_Branco<n><bs><n><tz>%z<n><of>-0500<n><ot>-0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Australia/Broken_Hill<n><bs><n><tz>ACST<n><of>+1030<n><ot>+0930<n><s>19700405T030000<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=1SU<n><es><n><bd><n><tz>ACDT<n><of>+0930<n><ot>+1030<n><s>19701004T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=1SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:Australia/Perth<n><bs><n><tz>AWST<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Australia/Melbourne<n><bs><n><tz>AEST<n><of>+1100<n><ot>+1000<n><s>19700405T030000<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=1SU<n><es><n><bd><n><tz>AEDT<n><of>+1000<n><ot>+1100<n><s>19701004T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=1SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:Australia/Hobart<n><bd><n><tz>AEDT<n><of>+1000<n><ot>+1100<n><s>19701004T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=1SU<n><ed><n><bs><n><tz>AEST<n><of>+1100<n><ot>+1000<n><s>19700405T030000<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Australia/Sydney<n><bs><n><tz>AEST<n><of>+1100<n><ot>+1000<n><s>19700405T030000<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=1SU<n><es><n><bd><n><tz>AEDT<n><of>+1000<n><ot>+1100<n><s>19701004T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=1SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:Australia/Adelaide<n><bs><n><tz>ACST<n><of>+1030<n><ot>+0930<n><s>19700405T030000<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=1SU<n><es><n><bd><n><tz>ACDT<n><of>+0930<n><ot>+1030<n><s>19701004T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=1SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:Australia/Brisbane<n><bs><n><tz>AEST<n><of>+1000<n><ot>+1000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Australia/Darwin<n><bs><n><tz>ACST<n><of>+0930<n><ot>+0930<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Australia/Lord_Howe<n><bs><n><tz>%z<n><of>+1100<n><ot>+1030<n><s>19700405T020000<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=1SU<n><es><n><bd><n><tz>%z<n><of>+1030<n><ot>+1100<n><s>19701004T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=1SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:Australia/Lindeman<n><bs><n><tz>AEST<n><of>+1000<n><ot>+1000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Australia/Eucla<n><bs><n><tz>%z<n><of>+0845<n><ot>+0845<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Atlantic/Stanley<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Atlantic/South_Georgia<n><bs><n><tz>%z<n><of>-0200<n><ot>-0200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Atlantic/Madeira<n><bd><n><tz>WEST<n><of>+0000<n><ot>+0100<n><s>19700329T010000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>WET<n><of>+0100<n><ot>+0000<n><s>19701025T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Atlantic/Faroe<n><bd><n><tz>WEST<n><of>+0000<n><ot>+0100<n><s>19700329T010000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>WET<n><of>+0100<n><ot>+0000<n><s>19701025T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Atlantic/Cape_Verde<n><bs><n><tz>%z<n><of>-0100<n><ot>-0100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Atlantic/Canary<n><bd><n><tz>WEST<n><of>+0000<n><ot>+0100<n><s>19700329T010000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>WET<n><of>+0100<n><ot>+0000<n><s>19701025T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Atlantic/Bermuda<n><bd><n><tz>ADT<n><of>-0400<n><ot>-0300<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>AST<n><of>-0300<n><ot>-0400<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Atlantic/Azores<n><bd><n><tz>%z<n><of>-0100<n><ot>+0000<n><s>19700329T000000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>%z<n><of>+0000<n><ot>-0100<n><s>19701025T010000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Yerevan<n><bs><n><tz>%z<n><of>+0400<n><ot>+0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Yekaterinburg<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Yakutsk<n><bs><n><tz>%z<n><of>+0900<n><ot>+0900<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Vladivostok<n><bs><n><tz>%z<n><of>+1000<n><ot>+1000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Ust-Nera<n><bs><n><tz>%z<n><of>+1000<n><ot>+1000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Urumqi<n><bs><n><tz>%z<n><of>+0600<n><ot>+0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Ulaanbaatar<n><bs><n><tz>%z<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Makassar<n><bs><n><tz>WITA<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Tomsk<n><bs><n><tz>%z<n><of>+0700<n><ot>+0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Thimphu<n><bs><n><tz>%z<n><of>+0600<n><ot>+0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Tbilisi<n><bs><n><tz>%z<n><of>+0400<n><ot>+0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Tashkent<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Srednekolymsk<n><bs><n><tz>%z<n><of>+1100<n><ot>+1100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Samarkand<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Sakhalin<n><bs><n><tz>%z<n><of>+1100<n><ot>+1100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Ho_Chi_Minh<n><bs><n><tz>%z<n><of>+0700<n><ot>+0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Riyadh<n><bs><n><tz>%z<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Qyzylorda<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Qostanay<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Qatar<n><bs><n><tz>%z<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Pyongyang<n><bs><n><tz>KST<n><of>+0900<n><ot>+0900<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Pontianak<n><bs><n><tz>WIB<n><of>+0700<n><ot>+0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Oral<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Omsk<n><bs><n><tz>%z<n><of>+0600<n><ot>+0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Novosibirsk<n><bs><n><tz>%z<n><of>+0700<n><ot>+0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Novokuznetsk<n><bs><n><tz>%z<n><of>+0700<n><ot>+0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Manila<n><bs><n><tz>PST<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Magadan<n><bs><n><tz>%z<n><of>+1100<n><ot>+1100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Macau<n><bs><n><tz>CST<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Kuching<n><bs><n><tz>%z<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Krasnoyarsk<n><bs><n><tz>%z<n><of>+0700<n><ot>+0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Kolkata<n><bs><n><tz>IST<n><of>+0530<n><ot>+0530<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Khandyga<n><bs><n><tz>%z<n><of>+0900<n><ot>+0900<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Kathmandu<n><bs><n><tz>%z<n><of>+0545<n><ot>+0545<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Karachi<n><bs><n><tz>PKT<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Kamchatka<n><bs><n><tz>%z<n><of>+1200<n><ot>+1200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Kabul<n><bs><n><tz>%z<n><of>+0430<n><ot>+0430<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Jayapura<n><bs><n><tz>WIT<n><of>+0900<n><ot>+0900<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Jakarta<n><bs><n><tz>WIB<n><of>+0700<n><ot>+0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Irkutsk<n><bs><n><tz>%z<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Hovd<n><bs><n><tz>%z<n><of>+0700<n><ot>+0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Hebron<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700328T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SA<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701024T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SA<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Gaza<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700328T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SA<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701024T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SA<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Famagusta<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700329T030000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701025T040000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Dushanbe<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Dili<n><bs><n><tz>%z<n><of>+0900<n><ot>+0900<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Dhaka<n><bs><n><tz>%z<n><of>+0600<n><ot>+0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Damascus<n><bs><n><tz>%z<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Colombo<n><bs><n><tz>%z<n><of>+0530<n><ot>+0530<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Chita<n><bs><n><tz>%z<n><of>+0900<n><ot>+0900<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Bishkek<n><bs><n><tz>%z<n><of>+0600<n><ot>+0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Beirut<n><bd><n><tz>EEST<n><of>+0200<n><ot>+0300<n><s>19700329T000000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>EET<n><of>+0300<n><ot>+0200<n><s>19701025T000000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Barnaul<n><bs><n><tz>%z<n><of>+0700<n><ot>+0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Baku<n><bs><n><tz>%z<n><of>+0400<n><ot>+0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Baghdad<n><bs><n><tz>%z<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Atyrau<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Ashgabat<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Aqtobe<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Aqtau<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Anadyr<n><bs><n><tz>%z<n><of>+1200<n><ot>+1200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Amman<n><bs><n><tz>%z<n><of>+0300<n><ot>+0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Asia/Almaty<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Antarctica/Vostok<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Antarctica/Troll<n><bd><n><tz>+02<n><of>+0000<n><ot>+0200<n><s>19700329T010000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>+00<n><of>+0200<n><ot>+0000<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Antarctica/Rothera<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Antarctica/Palmer<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Antarctica/Mawson<n><bs><n><tz>%z<n><of>+0500<n><ot>+0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Antarctica/Macquarie<n><bs><n><tz>AEST<n><of>+1100<n><ot>+1000<n><s>19700405T030000<n><r>FREQ=YEARLY;BYMONTH=4;BYDAY=1SU<n><es><n><bd><n><tz>AEDT<n><of>+1000<n><ot>+1100<n><s>19701004T020000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=1SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:Antarctica/Davis<n><bs><n><tz>%z<n><of>+0700<n><ot>+0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Antarctica/Casey<n><bs><n><tz>%z<n><of>+0800<n><ot>+0800<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Yakutat<n><bd><n><tz>AKDT<n><of>-0900<n><ot>-0800<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>AKST<n><of>-0800<n><ot>-0900<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Puerto_Rico<n><bs><n><tz>AST<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Thule<n><bd><n><tz>ADT<n><of>-0400<n><ot>-0300<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>AST<n><of>-0300<n><ot>-0400<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Tegucigalpa<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Swift_Current<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Sitka<n><bd><n><tz>AKDT<n><of>-0900<n><ot>-0800<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>AKST<n><of>-0800<n><ot>-0900<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Scoresbysund<n><bs><n><tz>%z<n><of>-0100<n><ot>-0200<n><s>19701025T000000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n><bd><n><tz>%z<n><of>-0200<n><ot>-0100<n><s>19700328T230000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SA<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Santo_Domingo<n><bs><n><tz>AST<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Santarem<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Argentina/Cordoba<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Resolute<n><bs><n><tz>CST<n><of>-0500<n><ot>-0600<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n><bd><n><tz>CDT<n><of>-0600<n><ot>-0500<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Recife<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Rankin_Inlet<n><bd><n><tz>CDT<n><of>-0600<n><ot>-0500<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>CST<n><of>-0500<n><ot>-0600<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Punta_Arenas<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Porto_Velho<n><bs><n><tz>%z<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Port-au-Prince<n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Paramaribo<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Iqaluit<n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Ojinaga<n><bd><n><tz>CDT<n><of>-0600<n><ot>-0500<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>CST<n><of>-0500<n><ot>-0600<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Nuuk<n><bd><n><tz>%z<n><of>-0200<n><ot>-0100<n><s>19700328T230000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SA<n><ed><n><bs><n><tz>%z<n><of>-0100<n><ot>-0200<n><s>19701025T000000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Nome<n><bd><n><tz>AKDT<n><of>-0900<n><ot>-0800<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>AKST<n><of>-0800<n><ot>-0900<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Montevideo<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Monterrey<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Moncton<n><bd><n><tz>ADT<n><of>-0400<n><ot>-0300<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>AST<n><of>-0300<n><ot>-0400<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Miquelon<n><bd><n><tz>%z<n><of>-0300<n><ot>-0200<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>%z<n><of>-0200<n><ot>-0300<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Metlakatla<n><bd><n><tz>AKDT<n><of>-0900<n><ot>-0800<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>AKST<n><of>-0800<n><ot>-0900<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Merida<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Menominee<n><bd><n><tz>CDT<n><of>-0600<n><ot>-0500<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>CST<n><of>-0500<n><ot>-0600<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Argentina/Mendoza<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Matamoros<n><bd><n><tz>CDT<n><of>-0600<n><ot>-0500<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>CST<n><of>-0500<n><ot>-0600<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Martinique<n><bs><n><tz>AST<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Managua<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Maceio<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Kentucky/Louisville<n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Lima<n><bs><n><tz>%z<n><of>-0500<n><ot>-0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/La_Paz<n><bs><n><tz>%z<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Juneau<n><bd><n><tz>AKDT<n><of>-0900<n><ot>-0800<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>AKST<n><of>-0800<n><ot>-0900<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Argentina/Jujuy<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Inuvik<n><bd><n><tz>MDT<n><of>-0700<n><ot>-0600<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>MST<n><of>-0600<n><ot>-0700<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Hermosillo<n><bs><n><tz>MST<n><of>-0700<n><ot>-0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Guyana<n><bs><n><tz>%z<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Guayaquil<n><bs><n><tz>%z<n><of>-0500<n><ot>-0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Guatemala<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Grand_Turk<n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Goose_Bay<n><bs><n><tz>AST<n><of>-0300<n><ot>-0400<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n><bd><n><tz>ADT<n><of>-0400<n><ot>-0300<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Glace_Bay<n><bd><n><tz>ADT<n><of>-0400<n><ot>-0300<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>AST<n><of>-0300<n><ot>-0400<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Fortaleza<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Fort_Nelson<n><bs><n><tz>MST<n><of>-0700<n><ot>-0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/El_Salvador<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Eirunepe<n><bs><n><tz>%z<n><of>-0500<n><ot>-0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Dawson_Creek<n><bs><n><tz>MST<n><of>-0700<n><ot>-0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Dawson<n><bs><n><tz>MST<n><of>-0700<n><ot>-0700<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Danmarkshavn<n><bs><n><tz>GMT<n><of>+0000<n><ot>+0000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Cuiaba<n><bs><n><tz>%z<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Costa_Rica<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Ciudad_Juarez<n><bd><n><tz>MDT<n><of>-0700<n><ot>-0600<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>MST<n><of>-0600<n><ot>-0700<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Chihuahua<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Cayenne<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Argentina/Catamarca<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Caracas<n><bs><n><tz>%z<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Cancun<n><bs><n><tz>EST<n><of>-0500<n><ot>-0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Campo_Grande<n><bs><n><tz>%z<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Cambridge_Bay<n><bd><n><tz>MDT<n><of>-0700<n><ot>-0600<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>MST<n><of>-0600<n><ot>-0700<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Argentina/Buenos_Aires<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Boise<n><bd><n><tz>MDT<n><of>-0700<n><ot>-0600<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>MST<n><of>-0600<n><ot>-0700<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Bogota<n><bs><n><tz>%z<n><of>-0500<n><ot>-0500<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Boa_Vista<n><bs><n><tz>%z<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Belize<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Belem<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Barbados<n><bs><n><tz>AST<n><of>-0400<n><ot>-0400<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Bahia_Banderas<n><bs><n><tz>CST<n><of>-0600<n><ot>-0600<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Bahia<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Asuncion<n><bd><n><tz>%z<n><of>-0400<n><ot>-0300<n><s>19701004T000000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=1SU<n><ed><n><bs><n><tz>%z<n><of>-0300<n><ot>-0400<n><s>19700322T000000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=4SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Araguaina<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/North_Dakota/New_Salem<n><bd><n><tz>CDT<n><of>-0600<n><ot>-0500<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>CST<n><of>-0500<n><ot>-0600<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/North_Dakota/Center<n><bd><n><tz>CDT<n><of>-0600<n><ot>-0500<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>CST<n><of>-0500<n><ot>-0600<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/North_Dakota/Beulah<n><bd><n><tz>CDT<n><of>-0600<n><ot>-0500<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>CST<n><of>-0500<n><ot>-0600<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Kentucky/Monticello<n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Indiana/Winamac<n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Indiana/Vincennes<n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Indiana/Vevay<n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Indiana/Tell_City<n><bd><n><tz>CDT<n><of>-0600<n><ot>-0500<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>CST<n><of>-0500<n><ot>-0600<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Indiana/Petersburg<n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Indiana/Marengo<n><bd><n><tz>EDT<n><of>-0500<n><ot>-0400<n><s>19700308T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=2SU<n><ed><n><bs><n><tz>EST<n><of>-0400<n><ot>-0500<n><s>19701101T020000<n><r>FREQ=YEARLY;BYMONTH=11;BYDAY=1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Argentina/Ushuaia<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Argentina/Tucuman<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Argentina/San_Luis<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Argentina/San_Juan<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Argentina/Salta<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Argentina/Rio_Gallegos<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:America/Argentina/La_Rioja<n><bs><n><tz>%z<n><of>-0300<n><ot>-0300<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Windhoek<n><bs><n><tz>CAT<n><of>+0200<n><ot>+0200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Tunis<n><bs><n><tz>CET<n><of>+0100<n><ot>+0100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Sao_Tome<n><bs><n><tz>GMT<n><of>+0000<n><ot>+0000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Lagos<n><bs><n><tz>WAT<n><of>+0100<n><ot>+0100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Ndjamena<n><bs><n><tz>WAT<n><of>+0100<n><ot>+0100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Monrovia<n><bs><n><tz>GMT<n><of>+0000<n><ot>+0000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Johannesburg<n><bs><n><tz>SAST<n><of>+0200<n><ot>+0200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Maputo<n><bs><n><tz>CAT<n><of>+0200<n><ot>+0200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Khartoum<n><bs><n><tz>CAT<n><of>+0200<n><ot>+0200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Juba<n><bs><n><tz>CAT<n><of>+0200<n><ot>+0200<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/El_Aaiun<n><bs><n><tz>%z<n><of>+0100<n><ot>+0100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Ceuta<n><bd><n><tz>CEST<n><of>+0100<n><ot>+0200<n><s>19700329T020000<n><r>FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU<n><ed><n><bs><n><tz>CET<n><of>+0200<n><ot>+0100<n><s>19701025T030000<n><r>FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Casablanca<n><bs><n><tz>%z<n><of>+0100<n><ot>+0100<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Bissau<n><bs><n><tz>GMT<n><of>+0000<n><ot>+0000<n><s>19700101T000000<n><es><n>","20250101T220159Z<n>X-LIC-LOCATION:Africa/Algiers<n><bs><n><tz>CET<n><of>+0100<n><ot>+0100<n><s>19700101T000000<n><es><n>"];
function tzlib_get_content(tzName) {
  const nameParts = tzName.split('/');
  if (
    (nameParts.length === 3 &&
      (!tzlibZonesDB[`${nameParts[0]}`] ||
        !tzlibZonesDB[`${nameParts[0]}`][`${nameParts[1]}`] ||
        !tzlibZonesDB[`${nameParts[0]}`][`${nameParts[1]}`][`${nameParts[2]}`])) ||
    (nameParts.length === 2 &&
      (!tzlibZonesDB[`${nameParts[0]}`] || !tzlibZonesDB[`${nameParts[0]}`][`${nameParts[1]}`])) ||
    (nameParts.length === 1 && !tzlibZonesDB[`${nameParts[0]}`])
  ) {
    console.error('Given timezone not valid.');
    return '';
  }
  if (nameParts.length === 3) {
    return [
      tzlibZonesDB[`${nameParts[0]}`][`${nameParts[1]}`][`${nameParts[2]}`][0],
      tzlib_enrich_data(
        tzlibZonesDetailsDB[tzlibZonesDB[`${nameParts[0]}`][`${nameParts[1]}`][`${nameParts[2]}`][1]],
      ),
    ];
  }
  if (nameParts.length === 2) {
    return [
      tzlibZonesDB[`${nameParts[0]}`][`${nameParts[1]}`][0],
      tzlib_enrich_data(tzlibZonesDetailsDB[tzlibZonesDB[`${nameParts[0]}`][`${nameParts[1]}`][1]]),
    ];
  }
  return [
    tzlibZonesDB[`${nameParts[0]}`][0],
    tzlib_enrich_data(tzlibZonesDetailsDB[tzlibZonesDB[`${nameParts[0]}`][1]]),
  ];
}
function tzlib_enrich_data(string) {
  const shortenerMap = {
    '<br>': '<n>',
    'TZNAME:': '<tz>',
    'TZOFFSETFROM:': '<of>',
    'TZOFFSETTO:': '<ot>',
    'DTSTART:': '<s>',
    'RRULE:': '<r>',
    'BEGIN:DAYLIGHT': '<bd>',
    'END:DAYLIGHT': '<ed>',
    'BEGIN:STANDARD': '<bs>',
    'END:STANDARD': '<es>',
  };
  for (const [key, value] of Object.entries(shortenerMap)) {
    string = string.replaceAll(value, key);
  }
  return string;
}
// eslint-disable-next-line @typescript-eslint/no-unused-vars
function tzlib_get_ical_block(tzName, jsonType = false) {
  const tzBlock = tzlib_get_content(tzName);
  if (tzBlock[1] == null || tzBlock[1] == '') {
    return '';
  }
  const location = (function () {
    if (tzBlock[0] == '') {
      return tzName;
    } else {
      return tzBlock[0];
    }
  })();
  const tzidLine = 'TZID=' + location;
  const output = [
    'BEGIN:VTIMEZONE\r\nTZID:' +
      location +
      '\r\nX-LIC-LOCATION:' +
      location +
      '\r\nLAST-MODIFIED:' +
      tzBlock[1].replace(/[^\w_\-:,;=+/<br>]/g, '').replace(/<br>/g, '\r\n') +
      'END:VTIMEZONE',
    tzidLine,
  ];
  if (jsonType) {
    return JSON.stringify(output);
  }
  return output;
}
// eslint-disable-next-line @typescript-eslint/no-unused-vars
function tzlib_get_offset(tzName, isoDate, isoTime) {
  const tzBlock = tzlib_get_content(tzName);
  if (tzBlock[1] == null || tzBlock[1] == '') {
    return '';
  }
  if (!isoDate.match(/^\d{4}-\d{2}-\d{2}$/)) {
    console.error('offset calculation failed: date misspelled [-> YYYY-MM-DD]');
    return '';
  }
  if (!isoTime.match(/^\d{2}:\d{2}$/)) {
    console.error('offset calculation failed: time misspelled [-> hh:mm]');
    return '';
  }
  if (!tzBlock[1].match(/BEGIN:DAYLIGHT/i)) {
    return tzBlock[1].match(/TZOFFSETTO:([+|-]\d{4})/i)[1];
  }
  const dateString = isoDate + 'T' + isoTime + ':00';
  const date = new Date(dateString);
  const dateYear = date.getFullYear();
  const dateMonth = date.getMonth() + 1;
  const dateDay = date.getDate();
  const dateHour = date.getHours();
  const timezoneData = tzBlock[1].replace(/[^\w_\-:,;=+/<br>]/g, '').split('<br>');
  const tzBreakpoints = { 1: {}, 2: {} };
  let breakpointCount = 0;
  for (let i = 0; i < timezoneData.length; i++) {
    if (timezoneData[`${i}`].startsWith('TZOFFSETTO')) {
      breakpointCount++;
      tzBreakpoints[`${breakpointCount}`].offset = timezoneData[`${i}`].split(':')[1];
    }
    if (timezoneData[`${i}`].startsWith('DTSTART')) {
      tzBreakpoints[`${breakpointCount}`].hour = parseInt(timezoneData[`${i}`].substr(17, 2));
    }
    if (timezoneData[`${i}`].startsWith('RRULE')) {
      let rruleParts = timezoneData[`${i}`].split(';');
      let rruleMonth = parseInt(rruleParts[1].split('=')[1]);
      tzBreakpoints[`${breakpointCount}`].month = parseInt(rruleMonth);
      tzBreakpoints[`${breakpointCount}`].day = rruleParts[2].split('=')[1];
    }
  }
  if (tzBreakpoints[1].month > tzBreakpoints[2].month) {
    [tzBreakpoints[1], tzBreakpoints[2]] = [tzBreakpoints[2], tzBreakpoints[1]];
  }
  if (dateMonth != tzBreakpoints[1].month && dateMonth != tzBreakpoints[2].month) {
    if (dateMonth < tzBreakpoints[1].month || dateMonth > tzBreakpoints[2].month) {
      return tzBreakpoints[2].offset;
    } else {
      return tzBreakpoints[1].offset;
    }
  }
  const theCase = (function () {
    return Object.keys(tzBreakpoints).find((key) => tzBreakpoints[`${key}`].month == dateMonth);
  })();
  const helperArrayWeekdays = ['SU', 'MO', 'TU', 'WE', 'TH', 'FR', 'SA'];
  const numberDays = new Date(dateYear, dateMonth, 0).getDate();
  let weekdayCount = new Date(dateYear, dateMonth - 1, 1).getDay();
  const weekdays = { SU: {}, MO: {}, TU: {}, WE: {}, TH: {}, FR: {}, SA: {} };
  for (let d = 1; d <= numberDays; d++) {
    const occurence = Object.keys(weekdays[helperArrayWeekdays[`${weekdayCount}`]]).length + 1;
    weekdays[helperArrayWeekdays[`${weekdayCount}`]][`${occurence}`] = d;
    weekdayCount++;
    if (weekdayCount == 7) {
      weekdayCount = 0;
    }
  }
  const actualDay = (function () {
    if (tzBreakpoints[`${theCase}`].day[0] == '-') {
      const breakpointWeekday = tzBreakpoints[`${theCase}`].day.substr(2, 2);
      const dayIndex =
        Object.keys(weekdays[`${breakpointWeekday}`]).length +
        1 -
        parseInt(tzBreakpoints[`${theCase}`].day[1]);
      return weekdays[`${breakpointWeekday}`][`${dayIndex}`];
    } else {
      const breakpointWeekday = tzBreakpoints[`${theCase}`].day.substr(1, 2);
      return weekdays[`${breakpointWeekday}`][tzBreakpoints[`${theCase}`].day[0]];
    }
  })();
  if (dateDay > actualDay || (dateDay == actualDay && dateHour >= tzBreakpoints[`${theCase}`].hour)) {
    return tzBreakpoints[`${theCase}`].offset;
  }
  const fallbackCase = (function () {
    if (theCase == 1) {
      return 2;
    } else {
      return 1;
    }
  })();
  return tzBreakpoints[`${fallbackCase}`].offset;
}
let tzlibZoneNames = [];
// eslint-disable-next-line @typescript-eslint/no-unused-vars
function tzlib_get_timezones(jsonType = false) {
  if (tzlibZoneNames.length == 0) {
    tzlibZoneNames = (function () {
      let namesArr = [];
      for (const [key, value] of Object.entries(tzlibZonesDB)) {
        if (typeof value === 'object' && !Array.isArray(value)) {
          for (const [key2, value2] of Object.entries(value)) {
            if (typeof value2 === 'object' && !Array.isArray(value2)) {
              for (const [key3] of Object.entries(value2)) {
                namesArr.push(key + '/' + key2 + '/' + key3);
              }
            } else {
              namesArr.push(key + '/' + key2);
            }
          }
        } else {
          namesArr.push(key);
        }
      }
      return namesArr;
    })();
  }
  if (jsonType) {
    return JSON.stringify(tzlibZoneNames);
  }
  return tzlibZoneNames;
}
export { tzlib_get_ical_block, tzlib_get_offset, tzlib_get_timezones };
